/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include <dbsdglobal.h>
#include <dbsdiconloader.h>
#include <dbsdkiconloader.h>
#include <translation.h>

#include <qapplication.h>

#include "dbsdinitglobal.h"

void	DBSDGlobalInitializer::initGlobal() {
	if(DBSDGlobal::getIconLoader() == NULL)
		DBSDGlobal::setIconLoader(new  DBSDKIconLoader);

	Translation::installTranslator();
	qApp->processEvents();
}
